#321 closed defect (fixed)

PROFILE-variant does not apply *_p.a

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: unknown
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

Building the PROFILE-variant builds *_p.a's., all bsp_specs however lack the necessary magic to pick them up.

These libraries are not used anywhere inside of RTEMS source-tree.

-> Linking the tests fail, if not having built the OPTIMIZE-VARIANT, beforehand.
-> Linking the tests, if having build the OPTIMIZE-VARIANT beforehand, links against *.a's

Release:
RTEMS-CVS

Change History (4)

comment:1 Changed on Jan 3, 2003 at 4:09:02 PM by Joel Sherrill

Status: assignedsuspended

comment:2 Changed on Jan 21, 2003 at 11:17:00 AM by Ralf Corsepius

Status: suspendedassigned

comment:3 Changed on Feb 11, 2003 at 12:25:13 PM by Ralf Corsepius

Status: assignedwaiting

comment:4 Changed on Jun 13, 2003 at 4:53:21 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied to trunk.

Note: See TracTickets for help on using tickets.